summaryrefslogtreecommitdiffstats
path: root/wine
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2010-07-17 18:59:27 +0000
committer Eric Hameleers <alien@slackware.com>2010-07-17 18:59:27 +0000
commit450c4f5e1b1d5614e418002deba03b6573bab219 (patch)
tree23efb34ecc91f66796a0f82cfcaae95af4767412 /wine
parent023d3baeb8d2365f1a47d4516fe67cd29b8d34f1 (diff)
downloadasb-450c4f5e1b1d5614e418002deba03b6573bab219.tar.gz
asb-450c4f5e1b1d5614e418002deba03b6573bab219.tar.xz
Update to 1.2 (perhaps needs an edit for the .xpm file)
Diffstat (limited to 'wine')
-rwxr-xr-xwine/build/wine.SlackBuild56
1 files changed, 37 insertions, 19 deletions
diff --git a/wine/build/wine.SlackBuild b/wine/build/wine.SlackBuild
index 5dd9fde1..c2bdc0cf 100755
--- a/wine/build/wine.SlackBuild
+++ b/wine/build/wine.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2006-2009 Eric Hameleers, Eindhoven, NL
+# Copyright 2006-2010 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -83,6 +83,8 @@
# 1.1.22-1: 28/may/2009 by Eric Hameleers <alien@slackware.com>
# 1.1.24-1: 22/jun/2009 by Eric Hameleers <alien@slackware.com>
# 1.1.29-1: 14/sep/2009 by Eric Hameleers <alien@slackware.com>
+# 1.2.rc2-1: 29/may/2010 by Eric Hameleers <alien@slackware.com>
+# 1.2-1: 17/jul/2010 by Eric Hameleers <alien@slackware.com>
#
# Run 'sh wine.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -93,9 +95,8 @@
# Set initial variables:
PRGNAM=wine
-SRCVER=${SRCVER:-"1.1.29"}
+SRCVER=${SRCVER:-"1.2"}
VERSION=$(echo $SRCVER | tr '-' '.')
-ARCH=${ARCH:-"i486"}
BUILD=${BUILD:-1}
TAG=${TAG:-alien}
@@ -125,30 +126,44 @@ SRCURL="http://ibiblio.org/pub/linux/system/emulators/${PRGNAM}/${PRGNAM}-${SRCV
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED on line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
;;
- s390) SLKCFLAGS="-O2"
- ;;
- powerpc) SLKCFLAGS="-O2"
- ;;
x86_64) SLKCFLAGS="-O2 -fPIC"
;;
+ *) SLKCFLAGS="-O2"
+ ;;
esac
-# Prepare a sane build environment:
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED on line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build and continue
mkdir -p $PKG # place for the package to be built
-rm -rf $PKG/* # We always erase old package's contents
-mkdir -p $OUTPUT # place for the package to be saved
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
# Source files availability:
if ! [ -f ${SOURCE} ]; then
@@ -214,7 +229,7 @@ cd ${PRGNAM}-${VERSION}
# in include/wincrypt.h. You may need this patch:
#patch -p0 < $SRCDIR/wine_openssl.patch
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+chmod -R u+w,go+r-w,a+X-s .
echo Building ...
@@ -269,7 +284,7 @@ fi
# Strip binaries
find $PKG | xargs file | grep -e "executable" -e "shared object" \
- | grep ELF | cut -f1 -d: | xargs strip --strip-unneeded 2>/dev/null
+ | grep ELF | cut -f1 -d: | xargs strip --strip-unneeded 2>/dev/null || true
# Add a package description:
mkdir -p $PKG/install
@@ -292,3 +307,6 @@ if [ -f $PKG/install/slack-required ]; then
cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep
fi
+# Restore the original umask:
+umask ${_UMASK_}
+